Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jmx.interfaces
Interface RMINotificationListener

All Superinterfaces:
  java.rmi.Remote, java.io.Serializable

All Known Implementing Classes:
  RMIClientConnectorImpl.Listener

public interface RMINotificationListener
extends java.rmi.Remote, java.io.Serializable

Remote RMI client notification listener inferface. The interface will be registered on the server side.

Author:
  Andreas "Mad" Schaefer

Method Summary
`void` | `handleNotification(javax.management.Notification pNotification, java.lang.Object pHandback)` Handles the given notifcation event and passed it to the registered listener

Method Detail

### handleNotification

    public void handleNotification(javax.management.Notification pNotification,
                                   java.lang.Object pHandback)
                            throws java.rmi.RemoteException

  Handles the given notifcation event and passed it to the registered listener
  Parameters:
    `pNotification` - NotificationEvent
    `pHandback` - Handback object
  Throws:
    `java.rmi.RemoteException` - If a Remote Exception occurred

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.